{"id":22671,"date":"2019-11-01T10:22:20","date_gmt":"2019-11-01T10:22:20","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=22671"},"modified":"2024-02-21T07:34:15","modified_gmt":"2024-02-21T07:34:15","slug":"delete-customer-data-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/delete-customer-data-api\/","title":{"rendered":"Delete Customer Data API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>This API is used to delete customer data.<\/p>\n<div class=\"alert alert-info\">\n<p><strong>Note:<\/strong> Delete User will not proceed if the requested user is:<\/p>\n<ul>\n<li>An account owner or belongs to one or more accounts.<\/li>\n<li>The bot owner or co-developer for one or more bots.<\/li>\n<\/ul>\n<\/div>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>DELETE<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/bot\/eraseUsersData<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Profile Management &gt; Delete Users Data<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075bdbdd\" data-id=\"6ae87075bdbdd\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<pre><\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075bdcef\" data-id=\"6ae87075bdcef\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X DELETE \\\r\n  'https:\/\/{{host}}\/api\/public\/bot\/<span style=\"font-weight: 400;\">eraseUsersData' <\/span>\\\r\n  --header 'Content-Type: application\/json' \\\r\n  --header 'auth: YOUR_JWT_ACCESS_TOKEN' \\\r\n  --data '{\r\n  \t\"userIds\": [\"u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx\",\"u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx\",\"u-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxx\"],\r\n\t\"botIds\": [\"st-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx\",\"st-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx\",\"x-xxxxxxxx-xxxx-xxx-xxxx-xxxxxxxxxxxx\"]\r\n        \"RemoveDataFromAllBots\": true   \/\/ optional\r\n       }'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075bdd98\" data-id=\"6ae87075bdd98\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">userIds<\/span><\/td>\n<td>The array of user Ids whose details have to be deleted, for example, [&#8220;userId1&#8221;, &#8220;userId2&#8221;]. It can be user email id or enterprise assigned unique id. The following are acceptable values for this field:<\/p>\n<ul>\n<li>Kore generated &#8216;user id&#8217; ie. &#8217;email address&#8217; in case of enterprise users and &#8216;u-id&#8217; for the rest.<\/li>\n<li>Channel_user_id ie. the user identity that the channel has provided to the platform<\/li>\n<li>Both channel_id and channel_user_id\u00a0 where Channel_id refers to the unique identified for each of the supported channels<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">botIds<\/span><\/td>\n<td>The array of bot Ids from where the user details have to be deleted, for example, [&#8220;botId1&#8221;, &#8220;botId2&#8221;].<\/p>\n<ul>\n<li>All the user details provided in the userIds parameter will be deleted from all the bots provided in botIds.<\/li>\n<li>This parameter is effective only if RemoveDataFromAllBots parameter is set to <em>false<\/em>.<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">RemoveDataFromAllBots<\/span><\/p>\n<p>(optional)<\/td>\n<td>Determines if the specified users details have to be removed from all the Bots. Set to true or false.<\/p>\n<ul>\n<li>This parameter is set to <em>false<\/em> by default.<\/li>\n<li>If it is set to <em>true<\/em>, the user details provided in userIds parameter will be deleted from all the bots in the organization. Data provided in botIds parameter will be ignored.<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><strong>Note<\/strong>: The execution status of this API can be vied by executing\u00a0<a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/delete-customer-data-status-api\/\">Delete Customer Data Status API<\/a><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075bdff0\" data-id=\"6ae87075bdff0\" data-height=\"10\" data-height-mobile=\"10\" data-height-tab=\"10\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{<br \/>\n  \"requestId\": \"eud-123\",<br \/>\n  \"status\"\u201d: \"in-progress\"<br \/>\n} <\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section><section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"This API is used to delete customer data. Note: Delete User will not proceed if the requested user is: An account owner or belongs to one or more accounts. The bot owner or co-developer for one or more bots. Method DELETE Endpoint https:\/\/{{host}}\/api\/public\/bot\/eraseUsersData Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-22671","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/22671","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=22671"}],"version-history":[{"count":21,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/22671\/revisions"}],"predecessor-version":[{"id":61270,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/22671\/revisions\/61270"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=22671"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=22671"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=22671"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}